<template>
<div class="uk-flex-around uk-width-xxlarge">
  <div class="uk-card uk-card-body">
  <button v-on:click="updateMatches" class="uk-button uk-button-default">Refresh matches</button>
  <div v-if="this.$store.state.loading" uk-spinner></div>
	<ul class="uk-list uk-list-striped">
		<li v-for="matches in profileChats" v-bind:key="matches.chat">
			<img class="uk-border-circle" width="50" height="50" :src="matches.url">
			{{ matches.name }} | {{ matches.course }}
			<button v-on:click="setChat($event)" v-bind:id="matches.chat" type="button" class="uk-button uk-button-primary uk-border-rounded uk-align-right">Chat</button>
		</li>
	</ul>
	
  </div>
</div>
</template>

<script>
export default {
  layout: 'app',
  data () {
    return {
      id: this.$store.state.uid,
    }
  },
  methods: {
      signout: function () {
          this.$router.push('/')
          this.$store.dispatch('signout')
      },
	  setChat: function (event) {
        var targetId = event.currentTarget.id
        this.$store.dispatch('chat_ID', targetId) 
		    console.log(targetId);
		    this.$router.push('/chat')
    },
    updateMatches: function () {
      console.log(this.id)
      this.$store.dispatch('updateMatches', this.id)
    }  

  },
  computed: {
	  profileChats () {
        return this.$store.getters.loadedChats
      },
    loadedProfile () {
          return this.$store.getters.loadedProfile
      },  
  }
}
</script>